Extending Qt Creator Manual | ICodeStylePreferencesFactory

Extending Qt Creator Manual 4.5.2

# ICodeStylePreferencesFactory Class

(TextEditor::ICodeStylePreferencesFactory)

- List of all members, including inherited members

## Public Functions

| ICodeStylePreferencesFactory(QObject *parent = 0)
virtual ICodeStylePreferences * | createCodeStyle() const = 0
virtual QWidget * | createEditor(ICodeStylePreferences *preferences, QWidget *parent) const = 0
virtual TextEditor::Indenter * | createIndenter() const = 0
virtual QString | displayName() = 0
virtual Core::Id | languageId() = 0
virtual QString | previewText() const = 0
virtual SnippetProvider * | snippetProvider() const = 0

## Member Function Documentation

### ICodeStylePreferencesFactory::ICodeStylePreferencesFactory(QObject *parent = 0)

Default constructs an instance of ICodeStylePreferencesFactory.

### `[pure virtual]` ICodeStylePreferences *ICodeStylePreferencesFactory::createCodeStyle() const

### `[pure virtual]` QWidget *ICodeStylePreferencesFactory::createEditor(ICodeStylePreferences *preferences, QWidget *parent) const

### `[pure virtual]` TextEditor::Indenter *ICodeStylePreferencesFactory::createIndenter() const

### `[pure virtual]` QString ICodeStylePreferencesFactory::displayName()

### `[pure virtual]` Core::Id ICodeStylePreferencesFactory::languageId()

### `[pure virtual]` QString ICodeStylePreferencesFactory::previewText() const

### `[pure virtual]` SnippetProvider *ICodeStylePreferencesFactory::snippetProvider() const